MATLAB Answers

0

Why do I receive 'Unable to find Java library' error at MATLAB start up in MATLAB 7.7 (R2008b) or newer?

When I start MATLAB, I receive the following error message:

 

 Unable to find Java library: C:\Program Files\Java\jre1.5.0_16\bin\client\jvm.dll
 Please check if you have a MATLAB_JAVA environment variable
 Note that MATLAB requires Java version 1.4 or higher
 Warning: disabling Java support

And MATLAB starts with no graphical icons. When I type EDIT at MATLAB command prompt, I receive the following message:

  ERROR: ??? Error using ==> edit at 57 The MATLAB Editor is not supported because Java is not currently available.

Products


Release

R2008b

1 Answer

Answer by MathWorks Support Team on 20 Aug 2015
 Accepted Answer

This error may occur if you have set a MATLAB_JAVA system environment variable pointing to a different version of JVM other than the default version shipped with MATLAB. MATLAB needs to use the shipped version of JRE to function properly. If you have the variable set, you would need to unset it.

Refer to the related solution, "How do I change the Java Virtual Machine (JVM) that MATLAB is using?" for changing the JVM used by MATLAB.

  0 Comments

Sign in to comment.